#include "drawing.h"
#include <opencv2/viz/types.hpp>
#include <opencv2/imgproc.hpp>

void drawRows(cv::Mat& image, const std::vector< std::vector<cv::Point2f > >& rows)
{
	for(size_t i = 0; i < rows.size(); ++i)
	{
		for(size_t y = 0; y < rows[i].size(); ++y)
		{
			cv::circle(image, rows[i][y], 5, cv::viz::Color(128 * (i%3), 128 * ((i+1)%3), 128 * ((i+2)%3)));
		}
	}
}

void drawEllipses(cv::Mat& image, const std::vector<cv::RotatedRect>& ellipses )
{
	 for(const auto& ellipse : ellipses)cv::ellipse(image, ellipse, cv::viz::Color(128,128,128));
}
