#pragma once
#include <opencv2/core/ocl.hpp>
#include <vector>

void sanityCheckMap(cv::Mat& mat, const float min, const float max, const float minValue, const float maxValue);

std::vector<cv::Point2f>::iterator getTopLeft(std::vector<cv::Point2f>& points);

std::vector<cv::Point2f>::iterator getBottomRight(std::vector<cv::Point2f>& points);

double distance(const cv::Point2f& a, const cv::Point2f& b);

bool findClosest(size_t& xIndex, size_t& yIndex, 
				 cv::Point2f point, const std::vector< std::vector<cv::Point2f> >& array, 
				 float xTolerance, float yTolerance);


void interpolateMissing(cv::Mat& mat);

void fillMissing(cv::Mat& mat);


